/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2007 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __IP_DYNAMIC
#define         __IP_DYNAMIC

#include <glib.h>

#define DEJA_EN_COURS_CHANGE_IP -1
#define EQUIPEMENT_MARQUER_CHANGE_IP -2
#define AUCUN_EQUIPEMENT_MARQUER_CHANGE_IP -3

#ifdef __LOG_ENABLE
GList    *GList_Log_Ip_Dynamic;
#endif

void      Ip_Equipement_Retrouver (unsigned char *ID_Equipement);
void      Recherche_Equipement_Perte_Ip (unsigned char *ID_Equipement);
gint      Marque_Equipement_Avec_Meme_Adresse_MAC (unsigned char *ID_Equipement);
void      Traite_Equipement_Marquer_Ip_Change (gpointer * Donnee);

#endif
