/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2007 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __LOG
#define         __LOG


#ifdef __LOG_ENABLE
#include <glib.h>
#include "Thread.h"


struct struct_Cle_Privee {
	gint      Categorie;
	void     *Pointeur_Data;
	gint      Nb_Appel_Malloc;
	gint      Nb_Appel_Free;
	gint      Nb_Appel_Realloc;
	size_t    Taille_Allouer;
	size_t    Taille_Liberer;
};


GList    *GList_Log_Main;
struct struct_Cle_Privee *Donnee_Cle_Main;
pthread_key_t Cle_privee_thread;
pthread_once_t once_cle_privee;



enum enum_Categorie_Debug {
	CATEG_MAIN = 0,
	CATEG_THREAD_CONTRIBUTION,
	CATEG_THREAD_SOUND,
	CATEG_THREAD_TEST_VERSION,
	CATEG_THREAD_ENVOIE_EMAIL,
	CATEG_THREAD_UPDATE_FINGERPRINTING
};

struct Struct_Categorie {
	gint      Categorie;
	gchar    *Info;
};

GList    *Recupere_Glist_Categorie (struct struct_Cle_Privee *pCle);
void 	Initialisation_Log (void);
void      create_cle_privee (void);
#endif

#endif
